set TEST_DIR=..\data

irender -z
irender -b 100 100 100 -s 512 512 -A triangle -i ppm %TEST_DIR%/ir_chckr.itd > checker.ppm
irender -a 0.4 -n -v -S -i ppm %TEST_DIR%/ir_l3ort.itd %TEST_DIR%/ir_walls.itd %TEST_DIR%/ir_tpot1.itd > teapot1.ppm
irender -a 0.4 -b 20 20 20 -M Flat -T -i ppm %TEST_DIR%/ir_wdgls.itd > woodglas.ppm
irender -a 0.4 -b 0 0 0 -F 0 40 -M Gouraud -t 0.005 -i ppm %TEST_DIR%/ir_mrbgl.itd > marbglas.ppm
irender -b 50 50 50 -P 0.001 0.01 -i ppm -A sinc %TEST_DIR%/ir_isogls.itd > isoglass.ppm
irender -a 0.3 -A gaussian -M Phong -F 0 40 -P 0.005 0.05 -T -s 500 500 -v -i ppm %TEST_DIR%/fltrtest.itd > fltrtest.ppm
irender -a 0.5 -F 0 40 -v -s 300 300 -i ppm %TEST_DIR%/ir_wiggl.itd > wiggle.ppm
irender -F 0 40 -A box -v -s 500 500 -i ppm %TEST_DIR%/ir_tpot2.itd > teapot2.ppm
irender -F 0 50 -v -i ppm -A catrom %TEST_DIR%/ir_tpot3.itd > teapot3.ppm
irender -n -a 0.4 -v -F 0 40 -i ppm %TEST_DIR%/ir_tpot4.itd > teapot4.ppm
irender -n -a 0.4 -b 50 50 50 -i ppm -s 400 400 %TEST_DIR%/ir_tpot5.itd > teapot5.ppm
irender -v -a 0.5 -s 256 256 -A cubic -F 0 50 -i ppm %TEST_DIR%/ir_pawn.itd > pawn.ppm
irender -v -F 0 30 -n -s 512 512 -i ppm %TEST_DIR%/ir_ornge.itd > orange.ppm
irender -v -a 0.4 -s 512 512 -i ppm %TEST_DIR%/ir_wdcub.itd > woodcube.ppm
irender -v -a 0.3 -s 700 700 -i ppm %TEST_DIR%/ir_b58.itd > b58.ppm
irender -d -s 500 500 -i ppm %TEST_DIR%/ir_b58.itd > b58z_buf.ppm
irender -l -s 500 500 -i ppm %TEST_DIR%/ir_b58.itd > b58stncl.ppm
irender -F 0 70 -i ppm -A quadratic -s 600 600 %TEST_DIR%/ir1eggs.itd > eggcnvxt.ppm
irender -F 0 50 -i ppm -s 600 600 %TEST_DIR%/ir2eggs.itd > egggauss.ppm
irender -F 0 50 -i ppm -s 600 600 %TEST_DIR%/ir3eggs.itd > eggmean.ppm

set TEST_DIR=

