/******************************************************************************
* Mvar_loc.h - header file for the MVAR library.			      *
* This header is local to the library - it is NOT external.		      *
*******************************************************************************
* (C) Gershon Elber, Technion, Israel Institute of Technology                 *
*******************************************************************************
* Written by Gershon Elber, May. 97.					      *
******************************************************************************/

#ifndef MVAR_LOC_H
#define MVAR_LOC_H

#include <math.h>
#include <stdio.h>
#include "irit_sm.h"
#include "iritprsr.h"
#include "cagd_lib.h"

/******************************************************************************
* This macro is called when the library has detected an unrecoverable error.  *
* Default action is to call MvarFatalError, but you may want to reroute this  *
* to invoke your handler and recover yourself (by long jump for example).     *
******************************************************************************/
#define MVAR_FATAL_ERROR(Msg)	MvarFatalError(Msg)

#include "mvar_lib.h"		     /* Include the extrenal header as well. */

#endif /* MVAR_LOC_H */
